sol1 = Solve[ x^3+x^2+x+1==0,x];
x1 = x /. sol1;
Print["x1=",x1];

(******************************************************************)

sol2 = Solve[ {y== x^3+x^2+x+1, y==4 x + 3},{x,y} ];
x2 = {x,y} /. sol2;
Print["x2=",x2];

(******************************************************************)
gra1 = Plot[{x^3+x^2+x+1, 4 x + 3}, {x,-3,3}];

(******************************************************************)
gra2 = ParametricPlot3D[ { (5+Cos[th]) Cos[phi], (5+Cos[th]) Sin[phi], Sin[th]},
                        {th,0,2 Pi}, {phi,0,2 Pi} ];

(******************************************************************)

sol3 = DSolve[ y'[x] + x^2 y[x]^2 == 0, y[x], x];

funs = Table[ y[x] /. sol3 /. C[1]->-10+i, {i,0,20} ];

gra3 = Plot[ funs, {x,-3,3}];



(******************************************************************)
deltax = 0.03;


listagra = Table[

iniziale = {-3,1.5-j 0.1};

tmp = iniziale;
punti = Table[
              der = -tmp[[1]]^2 tmp[[2]]^2;
              tmp = tmp + {deltax, deltax der };
              tmp,
             {i,1,200}
             ];
punti = Join[ {iniziale}, punti];

gra[j] = ListPlot[ punti, Joined->True, PlotRange->{-1,1}];
gra[j],
{j,0,20}];

Show[listagra];




(******************************************************************)


T[i_,x___,a,j_] := T[i,x,j-1] Sqrt[j];
T[i_,x___,adag,j_] := T[i,x,j+1] Sqrt[j+1];
T[i_,j_] := If[ i===j, 1, 0];


t[i_,x___,j_] := Distribute[T[i,x,j]];


p = adag+a;

m35 = t[3,p,p,p,p,5];
E13  = t[3,p,p,p,p,3];

lambda[j_] := 4 (j+1/2);

K13 = Sum[ If[ j=!=3,
               t[j,p,p,p,p,3]/(lambda[j]-lambda[3]) Ket[j,0],
               0], 
          {j,1,10} ];

Print["m35=",m35];
Print["E13=",E13];
Print["K13=",K13];



(******************************************************************)
qm = Table[ a[i,j], {i,1,4},{j,1,4} ];
incognite = Flatten[ qm ];

righe   = Table[ Sum[ a[i,j],{j,1,4}] == 34, {i,1,4}];
colonne = Table[ Sum[ a[i,j],{i,1,4}] == 34, {j,1,4}];
diag = { Sum[ a[i,i], {i,1,4}] == 34, Sum[ a[i,5-i], {i,1,4}] == 34};

eqs = Union[ righe, colonne, diag];
sol4 = Solve[ eqs, incognite];

indet = Union[ Cases[ Map[ (#[[2]] )&, sol4[[1]] ], a[_,_], Infinity ] ];
subs = Table[ Rule[ indet[[i]], index[i] ], {i,1,Length[ indet]}];

Do[

tmp = sol4 /. subs;
tmp = Map[ #[[2]] &, tmp[[1]] ];
If[ And @@ Map[ (#>0)&, tmp],
    Print[ "trovato ",qm /. sol4/.subs // MatrixForm];
    Return[]
  ],

{index[1],1,31},
{index[2],1,31},
{index[3],1,31},
{index[4],1,31},
{index[5],1,31},
{index[6],1,31},
{index[7],1,31}
]





